How to Fix “Error code: Sec_Error_Expired_Certificate” on Firefox, Google, Gmail etc.

May 18th, 2011 by admin Leave a reply »

A lot of users are reporting  weird error certificates such as:  Sec_Error_Expired_Certificate while using Google, Gmail, Picasa, Firefox,Internet Explorer 9 and other applications or web applications relaying on Internet.  Certificates are nothing else than encrypted protocols that encrypt your communication over the Internet. If, for example, you are at the airport or another public place and wish to check your Gmail or Facebook it is highly advised to use HTTPS (SSL)  to protect your connection and prevent hackers from sniffing your username and password “over-the-air”. Almost all Internet services (such as Gmail, Facebook or Twitter , for example)  provide such secure connection to protect your data, even from ad-hoc applications such as Firesheep

See the original post:
How to Fix “Error code: Sec_Error_Expired_Certificate” on Firefox, Google, Gmail etc.

Leave a Reply